get
https://api-sandbox.asaas.com/v3/lean/payments
Lists the account's payments according to the filters provided and returns summary data for each record.
Use this operation when your integration needs to query payments without receiving the full object returned by the standard list. Endpoints with summary data have a lighter response payload and respond faster than the standard payment endpoints.
The response follows the API listing and pagination pattern.
If you need the full data of each payment, use List payments.
Tracking changesTo track payment status changes, use Webhooks instead of repeatedly querying this endpoint.
Use this
GETfor one-off queries, recovery, or reconciliation.
Related content
Guides
403Forbidden. Occurs when the request body is filled, GET method calls must have an empty body.
